<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from s_m_mbigint.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="s_m_mbigint" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>s_m_mbigint</refname>
    <refpurpose>overloading  compatibility for binary operators * (product) with double/mbigint</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   B=x*A
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>A,B:</term>
      <listitem><para> bigint</para></listitem></varlistentry>
   <varlistentry><term>x :</term>
      <listitem><para> double(scalar)</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
double/mbigint product
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
//
x=123456
y=456789
z=987654
M=[x y; z x-z]
NN=[x -z; -y x-z]
N=mbigint(NN)
M*N
MM*NN //double verification
P=[x x;x x]
P*N  // matrix case
P*NN

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="mbigint">mbigint</link></member>
   <member><link linkend="bigint_m_mbigint">bigint_m_mbigint</link></member>
   <member><link linkend="mbigint_m_mbigint">mbigint_m_mbigint</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
